## GspellLanguageChooserButton GspellLanguageChooserButton — Button to choose a GspellLanguage |

## Functions

GtkWidget * | gspell_language_chooser_button_new ()

## Types and Values

| GspellLanguageChooserButton

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkButton
                            ╰── GspellLanguageChooserButton

## Implemented Interfaces

GspellLanguageChooserButton implements AtkImplementorIface, GtkBuildable, GtkActionable, GtkActivatable and GspellLanguageChooser.

## Includes

    #include <gspell/gspell.h>

## Description

GspellLanguageChooserButton is a GtkButton to choose an available GspellLanguage. GspellLanguageChooserButton implements the GspellLanguageChooser interface.

The button contains a label with the “language” name, as returned by `gspell_language_get_name()`. When the button is clicked, a GspellLanguageChooserDialog is launched to choose the language.

## Functions

### gspell_language_chooser_button_new ()

    GtkWidget *
    gspell_language_chooser_button_new (const GspellLanguage *current_language);

#### Parameters

current_language | a GspellLanguage, or `NULL` to pick the default language. | [nullable]

#### Returns

a new GspellLanguageChooserButton widget.

## Types and Values

### GspellLanguageChooserButton

    typedef struct _GspellLanguageChooserButton GspellLanguageChooserButton;

## See Also

GspellLanguage, GspellLanguageChooser